{ config, pkgs, lib, ... }:

with lib;
let
  cfg = config.modules.system.gamingKernel;
in
{
  options.modules.system.gamingKernel = {
    enable = mkEnableOption ''
      Enable gaming kernel with my custom configurations
    '';
  };
  config = mkIf cfg.enable {
    boot.kernelPackages = pkgs.linuxPackages_zen;
  };
}